### Method

# Soup Server listen_socket

#### Declaration [src]

    gboolean
    soup_server_listen_socket (
      SoupServer* server,
      GSocket* socket,
      SoupServerListenOptions options,
      GError** error
    )

#### Description [src]

Attempts to set up `server` to listen for connections on `socket`.

See `soup_server_listen()` for more details.

#### Parameters

`socket`

  Type: `GSocket`

  A listening `GSocket`.

  The data is owned by the caller of the function.

`options`

  Type: `SoupServerListenOptions`

  Listening options for this server.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success, `FALSE` if an error occurred (in which case `error` will be set).